﻿using System;
using ThinkNet.Command;
using ThinkNet.Test.Domain;

namespace ThinkNet.Test.Commands.Handlers
{

    public class UserRegisterCommandHandler : CommandHandler<RegisteringUser>
    {
        protected override void Execute(ICommandContext commandContext, RegisteringUser command)
        {
            var user = new User(command.LoginId, command.Password, command.UserName, command.Email);

            commandContext.Add(user);

            Console.WriteLine("添加一个新用户");
        }
    }
}
