﻿using System;

namespace ThinkNet.Command
{
    public class CommandHandlerNotFoundException : Exception
    {
        private const string ExceptionMessage = "Command Handler not found for {0}.";

        /// <summary>Parameterized constructor.
        /// </summary>
        /// <param name="commandType">The command type.</param>
        public CommandHandlerNotFoundException(Type commandType) : base(string.Format(ExceptionMessage, commandType.FullName)) { }
    }
}
