﻿using ThinkNet.Messaging;

namespace ThinkNet.Command
{
    /// <summary>
    /// 命令队列路由器接口
    /// </summary>
    public interface ICommandQueueRouter
    {
        /// <summary>
        /// 路由到一个适合的命令队列。
        /// </summary>
        /// <param name="command"></param>
        /// <returns></returns>
        ICommandQueue Route(ICommand command);
    }
}
