﻿using System;
using ThinkNet.Infrastructure;
using ThinkNet.Messaging;

namespace ThinkNet.Command
{
    /// <summary>The default implementation of ICommandProcessor.
    /// </summary>
    public class DefaultCommandProcessor : MessageProcessor<ICommandQueue, ICommand, ICommandExecutor>, ICommandProcessor
    {
        /// <summary>Parameterized constructor.
        /// </summary>
        /// <param name="bindingQueue"></param>
        /// <param name="workerCount"></param>
        public DefaultCommandProcessor(ICommandQueue bindingQueue, int workerCount = 1)
            : base(bindingQueue, workerCount)
        { }
    }

    //public class DefaultCommandProcessor :  MessageProcessor
    //{
    //    private readonly ICommandAsyncResultManager _commandAsyncResultManager;

    //    public DefaultCommandProcessor(IMessageQueue bindingQueue, int workerCount) :
    //        base(bindingQueue, workerCount)
    //    {
    //        this._commandAsyncResultManager = ServiceLocator.GetInstance<ICommandAsyncResultManager>();
    //    }

    //    protected override void Execute(IMessage message)
    //    {
    //        if (!(message is ICommand)) {
    //            var errorMessage = string.Format(string.Format("this message is not a command, message id:{0}.", message.ID));
    //            Logger.Error(errorMessage);
    //            _commandAsyncResultManager.TryComplete(message.ID, new ErrorInfo(errorMessage, null));

    //            throw new Exception(errorMessage);
    //        }

    //        try {
    //            CommandService.Submit(message as ICommand);

    //            _commandAsyncResultManager.TryComplete(message.ID);
    //        }
    //        catch (CommandExecutorNotFoundException ex) {
    //            Logger.Error(ex);
    //            _commandAsyncResultManager.TryComplete(message.ID, new ErrorInfo(null, ex));
    //            throw ex;
    //        }
    //        catch (Exception ex) {
    //            var errorMessage = string.Format("Exception raised when executing {0}, command id:{1}.", message.GetType().Name, message.ID);
    //            Logger.Error(ex, errorMessage);
    //            _commandAsyncResultManager.TryComplete(message.ID, new ErrorInfo(errorMessage, ex));
    //            throw ex;
    //        }
    //    }
    //}
}
