﻿
namespace ThinkNet.Database
{
    /// <summary>
    /// 查询等式枚举
    /// </summary>
    public enum DbJudgeSymbol
    {
        /// <summary>
        /// 等于(=)
        /// </summary>
        EQ = 1,
        /// <summary>
        /// 大于(>)
        /// </summary>
        GT = 2,
        /// <summary>
        /// 大于等于(>=)
        /// </summary>
        EGT = 3,
        /// <summary>
        /// 小于
        /// </summary>
        LT = 4,
        /// <summary>
        /// 小于等于
        /// </summary>
        ELT = 5,
        /// <summary>
        /// 不等于(!=)
        /// </summary>
        NEQ = 6,
        /// <summary>
        /// 子查询
        /// </summary>
        IN = 7,
        /// <summary>
        /// NOT IN
        /// </summary>
        NIN = 8,
        /// <summary>
        /// 模糊查询
        /// </summary>
        LIKE = 9,
        NLIKE,
        IS,
        ISNOT
        ///// <summary>
        ///// NOT LIKE
        ///// </summary>
        //NLIKE = 10,
        ///// <summary>
        ///// 区间查询
        ///// </summary>
        //BETWEEN = 11,
        ///// <summary>
        ///// NOT BETWEEN
        ///// </summary>
        //NBETWEEN = 12,
        ///// <summary>
        ///// 自定义
        ///// </summary>
        //EXP = 0
    }
}
