﻿using System;

namespace ThinkNet.Domain
{
    /// <summary>
    /// 聚合根内部处理程序的提供者。
    /// </summary>
    public interface IAggregateRootInternalHandlerProvider
    {
        /// <summary>
        /// 获取聚合根内部的事件处理器。
        /// </summary>
        Action<IAggregateRoot, object> GetInternalEventHandler(Type aggregateRootType, Type eventType);
    }
}
