﻿using System;
using System.Collections.Generic;

namespace ThinkNet.Event
{
    /// <summary>
    /// 事件处理器提供者。
    /// </summary>
    public interface IEventHandlerProvider
    {
        /// <summary>
        /// 获取给定的事件类型的所有相关的处理器。
        /// </summary>
        /// <param name="eventType"></param>
        /// <returns></returns>
        IEnumerable<IEventHandler> GetEventHandlers(Type eventType);
    }
}
