﻿using System;
using System.Collections.Generic;

namespace ThinkNet.Event
{
    /// <summary>
    /// 提供事件同步信息的提供者。
    /// </summary>
    public interface IEventSynchronizerProvider
    {
        /// <summary>
        /// 获取给定的事件类型所有的事件同步器。
        /// </summary>
        /// <param name="eventType"></param>
        /// <returns></returns>
        IEnumerable<IEventSynchronizer> GetSynchronizers(Type eventType);
    }
}
