﻿using System;
using ThinkNet.Messaging;

namespace ThinkNet.Event
{
    /// <summary>The default implementation of ICommittedEventProcessor.
    /// </summary>
    public class DefaultCommittedEventProcessor : MessageProcessor<ICommittedEventQueue, EventStream, ICommittedEventExecutor>, ICommittedEventProcessor
    {
        /// <summary>Parameterized constructor.
        /// </summary>
        /// <param name="bindingQueue"></param>
        /// <param name="workerCount"></param>
        public DefaultCommittedEventProcessor(ICommittedEventQueue bindingQueue, int workerCount = 1)
            : base(bindingQueue, workerCount)
        { }
    }
}
