﻿using System.Collections.Generic;
using System;
using System.Collections;

namespace ThinkNet.Infrastructure.Cache
{
    public class HashtableCacheProvider : ICacheProvider
    {
        #region ICacheProvider 成员

        public ICache BuildCache(string regionName, IDictionary<string, string> properties)
        {
            return new HashtableCache(regionName);
        }



        public long NextTimestamp()
        {
            return Timestamper.Next();
        }

        #endregion
    }
}
