﻿using System.Collections.Generic;
using ThinkNet.Domain;
using ThinkNet.Infrastructure;

namespace ThinkNet.Test.Domain
{
    public interface IUserRepository : IRepository<User>
    {
        bool ExistsByLoginId(string loginId);

        User CheckLogon(User user);

        IEnumerable<User> GetAll();
    }
}
