﻿using System;
using ThinkNet.Event;
using ThinkNet.Messaging;

namespace ThinkNet.Test.Events
{
    [Serializable]
    public class UserCreated : Message, IEvent
    {
        public string LoginId { get; set; }
        public string Password { get; set; }
        public string UserName { get; set; }
        public string Email { get; set; }
        public Guid UserID { get; set; }

        public DateTime CreatedTime { get; private set; }
        public DateTime UpdatedTime { get; private set; }
    }
}
