﻿using System;

namespace ThinkNet.Command
{
    /// <summary>
    /// 命令处理程序的提供者
    /// </summary>
    public interface ICommandHandlerProvider
    {
        /// <summary>
        /// 获取该命令类型的处理程序。
        /// </summary>
        /// <param name="command"></param>
        /// <returns></returns>
        ICommandHandler GetCommandHandler(Type type);
    }
}
