﻿
namespace ThinkNet.Event
{
    /// <summary>
    /// 事件流路由器。
    /// </summary>
    public interface ICommittedEventQueueRouter
    {
        /// <summary>
        /// 路由给定的事件流到一个可用的提交事件队列中。
        /// </summary>
        /// <param name="stream"></param>
        /// <returns></returns>
        ICommittedEventQueue Route(EventStream stream);
    }
}
