﻿
namespace ThinkNet.Infrastructure
{
    /// <summary>
    /// 表示继承该接口的类是一个实体
    /// </summary>
    public interface IEntity
    {
        object UniqueId { get; }
    }

    /// <summary>
    /// 表示继承该接口的类是一个实体
    /// </summary>
    /// <typeparam name="TIdentify">标识数据类型</typeparam>
    public interface IEntity<TIdentify> : IEntity
    {
        /// <summary>
        /// 标识ID
        /// </summary>
        TIdentify Id { get; }
    }
}
