﻿using System;

namespace ThinkNet.Infrastructure
{
    /// <summary>
    /// 工作单元接口
    /// </summary>
    public interface IUnitOfWork
    {
        /// <summary>
        /// 获得独特的标识符的工作单元
        /// </summary>
        Guid ID { get; }



        /// <summary>
        /// 提交事务
        /// </summary>
        void Commit();
    }
}
