﻿using System;

namespace ThinkNet.Infrastructure
{
    public class EmptyLogger : ILogger
    {
        public bool IsDebugEnabled
        {
            get { return false; }
        }




        public virtual void Debug(string message) { }

        public virtual void Debug(string format, params object[] args) { }

        public virtual void Debug(Exception exception) { }

        public virtual void Debug(Exception exception, string message) { }

        public virtual void Debug(Exception exception, string format, params object[] args) { }

        public virtual void Info(string message) { }

        public virtual void Info(string format, params object[] args) { }

        public virtual void Info(Exception exception) { }

        public virtual void Info(Exception exception, string message) { }

        public virtual void Info(Exception exception, string format, params object[] args) { }

        public virtual void Error(string message) { }

        public virtual void Error(string format, params object[] args) { }

        public virtual void Error(Exception exception) { }

        public virtual void Error(Exception exception, string message) { }

        public virtual void Error(Exception exception, string format, params object[] args) { }

        public virtual void Warn(string message) { }

        public virtual void Warn(string format, params object[] args) { }

        public virtual void Warn(Exception exception) { }

        public virtual void Warn(Exception exception, string message) { }

        public virtual void Warn(Exception exception, string format, params object[] args) { }

        public virtual void Fatal(string message) { }

        public virtual void Fatal(string format, params object[] args) { }

        public virtual void Fatal(Exception exception) { }

        public virtual void Fatal(Exception exception, string message) { }

        public virtual void Fatal(Exception exception, string format, params object[] args) { }
    }
}
