﻿
namespace ThinkNet.Infrastructure.Mail
{
    public interface IMailClient
    {
        /// <summary>
        /// 发件人地址
        /// </summary>
        string From { get; set; }

        /// <summary>
        /// 发件人名称
        /// </summary>
        string FromName { get; set; }



        /// <summary>
        /// 邮件主题
        /// </summary>
        string Subject { get; set; }

        /// <summary>
        /// 邮件正文
        /// </summary>
        string Body { get; set; }

        /// <summary>
        ///  是否Html格式邮件
        /// </summary>
        bool HtmlFormat { get; set; }

        /// <summary>
        /// 发送邮件
        /// </summary>
        /// <returns></returns>
        bool Send();
    }
}
